Detection servers won't start after upgrading to 12.0: missing libicuuc.so.36

book

Article ID: 160292

calendar_today

Updated On:

Products

Data Loss Prevention Network Discover

Issue/Introduction

Filereader won't start and shows error message as follows:

Error starting File Reader. /opt/isv/Vontu/Protect/lib/native/libJniMatcher-12.0.0.so: libicuuc.so.36: cannot open shared object file: No such file or directory No incidents will be detected.

This may occur after upgrading detection servers to version 12 on Red Hat Linux.  Issue was first observed on Red Hat Linux 5.6.

Cause

The .rpm package needed is currently missing.

Resolution

You will need to use yum to install libicu 3.6
 

The following query will verify if this package is installed
[[email protected] ~]# rpm -qa | grep -i libicu
libicu-3.6-5.16.1.x86_64
libicu-3.6-5.16.1.i386
 

e.g. -yum install libicu

 

 

Related article TECH219031: What are the RPM requirements for Detection Server on Linux.

Note that the above versions are for RHEL 5.8.  "yum install libicu" will find the correct library for your RHEL version.


Applies To

Red Hat 5.6 non-standard installation and package configuration.